/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.interfaces;


import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.io.Serializable;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public interface IGrpacesso extends VertxPojo, Serializable {

    /**
     * Setter for <code>public.grpacesso.grpid</code>.
     */
    public IGrpacesso setGrpid(Integer value);

    /**
     * Getter for <code>public.grpacesso.grpid</code>.
     */
    public Integer getGrpid();

    /**
     * Setter for <code>public.grpacesso.grpdescricao</code>.
     */
    public IGrpacesso setGrpdescricao(String value);

    /**
     * Getter for <code>public.grpacesso.grpdescricao</code>.
     */
    public String getGrpdescricao();

    /**
     * Setter for <code>public.grpacesso.grpativo</code>.
     */
    public IGrpacesso setGrpativo(Boolean value);

    /**
     * Getter for <code>public.grpacesso.grpativo</code>.
     */
    public Boolean getGrpativo();

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * Load data from another generated Record/POJO implementing the common interface IGrpacesso
     */
    public void from(com.tabajara.base.tables.interfaces.IGrpacesso from);

    /**
     * Copy data into another generated Record/POJO implementing the common interface IGrpacesso
     */
    public <E extends com.tabajara.base.tables.interfaces.IGrpacesso> E into(E into);

    @Override
    public default IGrpacesso fromJson(io.vertx.core.json.JsonObject json) {
        setGrpid(json.getInteger("grpid"));
        setGrpdescricao(json.getString("grpdescricao"));
        setGrpativo(json.getBoolean("grpativo"));
        return this;
    }


    @Override
    public default io.vertx.core.json.JsonObject toJson() {
        io.vertx.core.json.JsonObject json = new io.vertx.core.json.JsonObject();
        json.put("grpid",getGrpid());
        json.put("grpdescricao",getGrpdescricao());
        json.put("grpativo",getGrpativo());
        return json;
    }

}
